Skip to main content
PUT
/
api
/
v1
/
simple-routing-rules
/
{id}
cURL
curl --request PUT \
  --url https://vpos.payven.com.tr/api/v1/simple-routing-rules/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "extraPropertiesDict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "priority": 123,
  "bankCode": "<string>",
  "hasInstallment": true,
  "minAmount": 123,
  "maxAmount": 123,
  "currency": "<string>",
  "cardBrandFilter": "Bonus",
  "cardTypeFilter": "Credit",
  "targetConnectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fallbackConnectorConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isActive": true
}
'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

Body

extraPropertiesDict
object
id
string<uuid>
name
string | null
priority
integer<int32>
bankCode
string | null
hasInstallment
boolean | null
minAmount
integer<int64> | null
maxAmount
integer<int64> | null
currency
string | null
cardBrandFilter
enum<integer>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other
cardTypeFilter
enum<integer>
Available options:
Credit,
Debit,
Prepaid
targetConnectorConfigId
string<uuid>
fallbackConnectorConfigId
string<uuid> | null
isActive
boolean

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
boolean